# -*- coding: utf-8 -*-
"""
tests.py

Created on Tue Jun 23 15:09:54 2015

@author: mthornton
"""

try:
    import pyqdap as qdap
except:
    print "Error on import - check for presence of necessary packages and\
 data files."
ww = qdap.wordweights

test1 = qdap.corpus('Nice looking car. It is a great one!')
if test1.polarity() == (ww['nice'] + ww['great'])/8:
    print "Test 1 passed"
else:
    print "Basic polarity failure - something is very wrong"

test2 = qdap.corpus('Terrific day to go to the zoo, eh?')
if test2.polarity(questweight=.5) == .5*ww['terrific']/8:
    print "Test 2 passed"
else:
    print "Questions weighed incorrectly"

test3 = qdap.corpus('Very very very very good very very.')
if test3.polarity(ampweight=1) == ww['good']:
    print "Test 3 passed"
else:
    print "Amplifiers weighed incorrectly"

test4 = qdap.corpus('Very very very very, good very very.')
if test4.polarity(ampweight=1) == (ww['good'] + ww['good']*1*2)/7.:
    print "Test 4 passed"
else:
    print "Commas dealt with incorrectly"

test5 = qdap.corpus('hey hey very very good. very very.')
if test5.polarity(ampweight=1) == (ww['good'] + ww['good']*1*2)/7.:
    print "Test 5 passed"
else:
    print "Periods not working"

test6 = qdap.corpus('not very good.')
if test6.polarity() == -(ww['good'] + ww['good']*.8)/3:
    print "Test 6 passed"
else:
    print "Negation not working"

test7 = qdap.corpus('good good bad hey')
if test7.intensity("abspol") == .75:
    print "Test 7 passed"
else:
    print "Counting polarized words not working"

test8 = qdap.corpus('very very very slightly')
if test8.intensity("shiftdiff") == .75:
    print "Test 8 passed"
else:
    print "Calculating amplifier differential not working"

test9 = qdap.corpus('Hey! You look terrific today! Great haircut!')
if test9.intensity('exclamation') == 1:
    print 'Test 9 passed'
else:
    print "Calculating intensity from exclamation marks not working"

test10 = qdap.corpus('IAMA LMAO YOLO')
if test10.intensity("caps", False) == 1:
    print "Test 10 passed"
else:
    print "Counting capitalized words is not working"

test11 = qdap.corpus('IAMA LMAO YOLO')
if test11.intensity("caps") == 0:
    print "Test 11 passed"
else:
    print "Ignoring acronyms is not working"

test12 = qdap.corpus('fuck damn shit')
if test12.intensity("swear") == 1:
    print "Test 12 passed"
else:
    print "Swear word detection broken"

with open('testdoc.txt', 'rb') as tfile:
    complex_test = tfile.read()
test13 = qdap.corpus(complex_test)
try:
    print test13.wordn
    print test13.polarity()
    print test13.intensity('abspol')
    print test13.intensity('shiftdiff')
    print test13.intensity('exclamation')
    print test13.intensity('caps')
    print test13.intensity('swear')
    print "Test 13 passed"
except:
    print "complex test (13) failed"
